import {PromogamePlayer} from "promogame-player";

export default function MainApp() {
  const Loading = ({ progress }: { progress: number }) => {
    return (
        <div className={'h-full w-full items-center justify-center text-center'}>
          Loading {progress * 100}%
        </div>
    );
  };

  return (
    <div className={'flex h-dvh w-screen flex-col items-center justify-center'}>
      <PromogamePlayer loadingComponent={Loading} className={'h-full w-full'} apiUrl={import.meta.env.VITE_API_URL} />
    </div>
  );
}
